# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

try:
    from .tracked_resource_py3 import TrackedResource
    from .resource_namespace_patch_py3 import ResourceNamespacePatch
    from .resource_py3 import Resource
    from .hybrid_connection_py3 import HybridConnection
    from .wcf_relay_py3 import WcfRelay
    from .sku_py3 import Sku
    from .relay_namespace_py3 import RelayNamespace
    from .relay_update_parameters_py3 import RelayUpdateParameters
    from .authorization_rule_py3 import AuthorizationRule
    from .access_keys_py3 import AccessKeys
    from .regenerate_access_key_parameters_py3 import RegenerateAccessKeyParameters
    from .check_name_availability_py3 import CheckNameAvailability
    from .check_name_availability_result_py3 import CheckNameAvailabilityResult
    from .operation_display_py3 import OperationDisplay
    from .operation_py3 import Operation
    from .error_response_py3 import ErrorResponse, ErrorResponseException
except (SyntaxError, ImportError):
    from .tracked_resource import TrackedResource
    from .resource_namespace_patch import ResourceNamespacePatch
    from .resource import Resource
    from .hybrid_connection import HybridConnection
    from .wcf_relay import WcfRelay
    from .sku import Sku
    from .relay_namespace import RelayNamespace
    from .relay_update_parameters import RelayUpdateParameters
    from .authorization_rule import AuthorizationRule
    from .access_keys import AccessKeys
    from .regenerate_access_key_parameters import RegenerateAccessKeyParameters
    from .check_name_availability import CheckNameAvailability
    from .check_name_availability_result import CheckNameAvailabilityResult
    from .operation_display import OperationDisplay
    from .operation import Operation
    from .error_response import ErrorResponse, ErrorResponseException
from .operation_paged import OperationPaged
from .relay_namespace_paged import RelayNamespacePaged
from .authorization_rule_paged import AuthorizationRulePaged
from .hybrid_connection_paged import HybridConnectionPaged
from .wcf_relay_paged import WcfRelayPaged
from .relay_management_client_enums import (
    Relaytype,
    SkuTier,
    ProvisioningStateEnum,
    AccessRights,
    KeyType,
    UnavailableReason,
)

__all__ = [
    'TrackedResource',
    'ResourceNamespacePatch',
    'Resource',
    'HybridConnection',
    'WcfRelay',
    'Sku',
    'RelayNamespace',
    'RelayUpdateParameters',
    'AuthorizationRule',
    'AccessKeys',
    'RegenerateAccessKeyParameters',
    'CheckNameAvailability',
    'CheckNameAvailabilityResult',
    'OperationDisplay',
    'Operation',
    'ErrorResponse', 'ErrorResponseException',
    'OperationPaged',
    'RelayNamespacePaged',
    'AuthorizationRulePaged',
    'HybridConnectionPaged',
    'WcfRelayPaged',
    'Relaytype',
    'SkuTier',
    'ProvisioningStateEnum',
    'AccessRights',
    'KeyType',
    'UnavailableReason',
]
